﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://gitlab.com/openflexure/openflexure-microscope-jsclient/-/jobs/210367241/artifacts/raw/release-builds/openflexure-ev-win.exe'

$packageArgs = @{
  packageName   = 'openflexure-ev'
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url

  softwareName  = 'OpenFlexure eV'

  checksum      = 'b608c2049c158ce2f15b2b700ebd68e1'
  checksumType  = 'md5' 

  silentArgs   = '/S'
}

Install-ChocolateyPackage @packageArgs
